/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.xliff.valueobject;

/**
 * OASIS XLIFF の file要素をあらわすバリューオブジェクト。
 */
public class BlancoXliffFile {
    /**
     * フィールド [source-language]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["en-US"]<br>
     * ソース言語。
     */
    private String fSourceLanguage = "en-US";

    /**
     * フィールド [target-language]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["ja-JP"]<br>
     * ターゲット言語。
     */
    private String fTargetLanguage = "ja-JP";

    /**
     * フィールド [original]
     *
     * 項目の型 [java.lang.String]<br>
     * ファイル名。
     */
    private String fOriginal;

    /**
     * フィールド [datatype]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["javapropertyresourcebundle"]<br>
     * エレメントに含まれるテキストの種類。
     */
    private String fDatatype = "javapropertyresourcebundle";

    /**
     * フィールド [header]
     *
     * 項目の型 [blanco.xliff.valueobject.BlancoXliffHeader]<br>
     * 規定値   [new blanco.xliff.valueobject.BlancoXliffHeader()]<br>
     * ヘッダ。
     */
    private BlancoXliffHeader fHeader = new blanco.xliff.valueobject.BlancoXliffHeader();

    /**
     * フィールド [body]
     *
     * 項目の型 [blanco.xliff.valueobject.BlancoXliffBody]<br>
     * 規定値   [new blanco.xliff.valueobject.BlancoXliffBody()]<br>
     * ボディ。
     */
    private BlancoXliffBody fBody = new blanco.xliff.valueobject.BlancoXliffBody();

    /**
     * フィールド [source-language]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ソース言語。
     *
     * @param argSourceLanguage フィールド[source-language]に格納したい値
     */
    public void setSourceLanguage(final String argSourceLanguage) {
        fSourceLanguage = argSourceLanguage;
    }

    /**
     * フィールド[source-language]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["en-US"]<br>
     * ソース言語。
     *
     * @return フィールド[source-language]に格納されている値
     */
    public String getSourceLanguage() {
        return fSourceLanguage;
    }

    /**
     * フィールド [target-language]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ターゲット言語。
     *
     * @param argTargetLanguage フィールド[target-language]に格納したい値
     */
    public void setTargetLanguage(final String argTargetLanguage) {
        fTargetLanguage = argTargetLanguage;
    }

    /**
     * フィールド[target-language]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["ja-JP"]<br>
     * ターゲット言語。
     *
     * @return フィールド[target-language]に格納されている値
     */
    public String getTargetLanguage() {
        return fTargetLanguage;
    }

    /**
     * フィールド [original]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ファイル名。
     *
     * @param argOriginal フィールド[original]に格納したい値
     */
    public void setOriginal(final String argOriginal) {
        fOriginal = argOriginal;
    }

    /**
     * フィールド[original]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * ファイル名。
     *
     * @return フィールド[original]に格納されている値
     */
    public String getOriginal() {
        return fOriginal;
    }

    /**
     * フィールド [datatype]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * エレメントに含まれるテキストの種類。
     *
     * @param argDatatype フィールド[datatype]に格納したい値
     */
    public void setDatatype(final String argDatatype) {
        fDatatype = argDatatype;
    }

    /**
     * フィールド[datatype]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["javapropertyresourcebundle"]<br>
     * エレメントに含まれるテキストの種類。
     *
     * @return フィールド[datatype]に格納されている値
     */
    public String getDatatype() {
        return fDatatype;
    }

    /**
     * フィールド [header]のセッターメソッド
     *
     * 項目の型 [blanco.xliff.valueobject.BlancoXliffHeader]<br>
     * ヘッダ。
     *
     * @param argHeader フィールド[header]に格納したい値
     */
    public void setHeader(final BlancoXliffHeader argHeader) {
        fHeader = argHeader;
    }

    /**
     * フィールド[header]のゲッターメソッド
     *
     * 項目の型 [blanco.xliff.valueobject.BlancoXliffHeader]<br>
     * 規定値   [new blanco.xliff.valueobject.BlancoXliffHeader()]<br>
     * ヘッダ。
     *
     * @return フィールド[header]に格納されている値
     */
    public BlancoXliffHeader getHeader() {
        return fHeader;
    }

    /**
     * フィールド [body]のセッターメソッド
     *
     * 項目の型 [blanco.xliff.valueobject.BlancoXliffBody]<br>
     * ボディ。
     *
     * @param argBody フィールド[body]に格納したい値
     */
    public void setBody(final BlancoXliffBody argBody) {
        fBody = argBody;
    }

    /**
     * フィールド[body]のゲッターメソッド
     *
     * 項目の型 [blanco.xliff.valueobject.BlancoXliffBody]<br>
     * 規定値   [new blanco.xliff.valueobject.BlancoXliffBody()]<br>
     * ボディ。
     *
     * @return フィールド[body]に格納されている値
     */
    public BlancoXliffBody getBody() {
        return fBody;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.xliff.valueobject.BlancoXliffFile[");
        buf.append("source-language=" + fSourceLanguage);
        buf.append(",target-language=" + fTargetLanguage);
        buf.append(",original=" + fOriginal);
        buf.append(",datatype=" + fDatatype);
        buf.append(",header=" + fHeader);
        buf.append(",body=" + fBody);
        buf.append("]");
        return buf.toString();
    }
}
